Bug 308706 - kmail reset selection of massages when extract a grouping
Summary: kmail reset selection of massages when extract a grouping
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: message list (show other bugs)
Version: 4.9.2
Platform: unspecified Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-20 13:26 UTC by marian.trenkwalder
Modified: 2012-12-27 15:45 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments
a Selection of mails (530.25 KB, image/png)
2012-10-21 13:20 UTC, marian.trenkwalder
Details

Note You need to log in before you can comment on or make changes to this bug.
Description marian.trenkwalder 2012-10-20 13:26:13 UTC
when selecting multiple mails and want extract a grouping to select a mail in there, the selecting resets.

Reproducible: Always

Steps to Reproduce:
1. make sure your mails are groupt
2. select some mails
3. open a grouping
Actual Results:  
the selected mails are deselected now

Expected Results:  
the mails should be selected as bevore opened a grouping
Comment 1 Laurent Montel 2012-10-21 08:57:59 UTC
screenshot please.
I don't understand your bug.
Thanks
Comment 2 marian.trenkwalder 2012-10-21 13:20:08 UTC
Created attachment 74699 [details]
a Selection of mails

And now I also want to select mails on Juli. (Eg. to copy it to the directorey kde)
when expand Juli, I have to select the mails again.
Comment 3 Laurent Montel 2012-10-21 22:00:02 UTC
Ok I understand problem

Will look at perhaps this week. I add it to my todo-list
Comment 4 Laurent Montel 2012-12-27 15:45:55 UTC
Git commit b12bc4810819d05f881a1d87ff32d3a5349c45e1 by Montel Laurent.
Committed on 27/12/2012 at 16:45.
Pushed by mlaurent into branch 'KDE/4.10'.

Fix Bug 308706 - kmail reset selection of massages when extract a

grouping

FIXED-IN: 4.10

M  +13   -1    messagelist/core/view.cpp
M  +3    -0    messagelist/core/view.h
M  +14   -3    messagelist/widget.cpp
M  +3    -1    messagelist/widget.h

http://commits.kde.org/kdepim/b12bc4810819d05f881a1d87ff32d3a5349c45e1